namespace ProjectLainer.Entities
{
    public class EntitySuperLainer : EntityLainer
    {
        public Color AdditionalColor { get; private set; }
        public bool Pools { get; private set; }
        public bool Decks { get; private set; }
        public EntitySuperLainer(int speed, double weight, Color bodyColor, Color
       additionalColor, bool pools, bool decks) : base(speed, weight, bodyColor)
        {
            AdditionalColor = additionalColor;
            Pools = pools;
            Decks = decks;
        }
        public void ChangeAddColor(Color additionalColor)
        {
            AdditionalColor = additionalColor;
        }
    }
}
