//using ProjectLainer.Drawings;
namespace ProjectLainer.MovementStrategy
{
    public interface IMoveableObject
    {
        ObjectParameters? GetObjectPosition { get; }
        int GetStep { get; }
        bool CheckCanMove(DirectionType direction);
        void MoveObject(DirectionType direction);
    }
}
