﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace ProjectLainer.Exceptions
{
    [Serializable]
    internal class LainerNotFoundException : ApplicationException
    {
        public LainerNotFoundException(int i) : base($"Не найден объект по позиции {i}") { }
        public LainerNotFoundException() : base() { }
        public LainerNotFoundException(string message) : base(message) { }
        public LainerNotFoundException(string message, Exception exception) : base(message, exception)
        { }
        protected LainerNotFoundException(SerializationInfo info,
        StreamingContext contex) : base(info, contex) { }
    }
}